# $Revision: 1.21 $, $Date: 2011/05/25 10:38:08 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

Summary:	Library for reading .pst files
Summary(pl.UTF-8):	Biblioteka do czytania plików .pst
Name:		libpst
Version:	0.6.52
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://www.five-ten-sg.com/libpst/packages/%{name}-%{version}.tar.gz
# Source0-md5:	5e39ee9ed8a1fc0dfb32c3c46f6569c9
Patch0:		%{name}-m4.patch
URL:		http://www.five-ten-sg.com/libpst/
BuildRequires:	ImageMagick
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-python-devel
BuildRequires:	gd-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading PST (MS Outlook Personal Folders) files.

%description -l pl.UTF-8
Biblioteka do czytania plików .pst.

%package devel
Summary:	Header files for libpst library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpst
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpst library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpst.

%package static
Summary:	Static libpst library
Summary(pl.UTF-8):	Statyczna biblioteka libpst
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpst library.

%description static -l pl.UTF-8
Statyczna biblioteka libpst.

%package tools
Summary:	Utilities for converting Microsoft Outlook .pst files
Summary(pl.UTF-8):	Narzędzia do konwertowania plików .pst Microsoft Outlooka
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick
Obsoletes:	readpst

%description tools
Utilities for converting Microsoft Outlook .pst files.

%description tools -l pl.UTF-8
Narzędzia do konwertowania plików .pst Microsoft Outlooka.

%package -n python-libpst
Summary:	libpst Python bindings
Summary(pl.UTF-8):	Wiązania libpst dla Pythona
Group:		Development/Languages/Python

%description -n python-libpst
libpst Python bindings.

%description -n python-libpst -l pl.UTF-8
Wiązania libpst dla Pythona.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-dii \
	--enable-libpst-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/_libpst.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libpst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpst.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpst.so
%{_libdir}/libpst.la
%{_includedir}/libpst-4
%{_pkgconfigdir}/libpst.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpst.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lspst
%attr(755,root,root) %{_bindir}/nick2ldif
%attr(755,root,root) %{_bindir}/pst2dii
%attr(755,root,root) %{_bindir}/pst2ldif
%attr(755,root,root) %{_bindir}/readpst
%{_mandir}/man1/lspst.1*
%{_mandir}/man1/pst2dii.1*
%{_mandir}/man1/pst2ldif.1*
%{_mandir}/man1/readpst.1*
%{_mandir}/man5/outlook.pst.5*

%files -n python-libpst
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_libpst.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpst.spec,v $
Revision 1.21  2011/05/25 10:38:08  marti
- up to 0.6.52

Revision 1.20  2011/05/03 10:58:11  qboosh
- package NEWS and nick2ldif tool

Revision 1.19  2011/04/29 07:24:37  marti
- up to 0.6.51
- fixes buffer overrun according to: https://bugzilla.redhat.com/show_bug.cgi?id=696263

Revision 1.18  2010/11/15 20:44:26  arekm
- release 2

Revision 1.17  2010/09/14 07:40:08  lisu
- updated to 0.6.49

Revision 1.16  2010/09/03 09:28:37  glen
- up to 0.6.48, static_libs bcond

Revision 1.15  2010/08/29 16:51:15  glen
- note about what pst file is for

Revision 1.14  2010/08/16 13:33:00  lisu
- notice patch removal

Revision 1.13  2010/08/16 13:26:00  lisu
- 0.6.47
- rm obsolete -asneeded.patch

Revision 1.12  2010/08/15 19:45:49  lisu
- install _libpst.so in proper place
- rel 3

Revision 1.11  2010/07/09 11:19:06  arekm
- release 2

Revision 1.10  2010/02/26 15:03:55  sparky
- BR: python-devel, python-modules, rpm-pythonprov

Revision 1.9  2010/02/25 20:52:58  megabajt
- updated to 0.6.45 (new soname)
- added -m4.patch and -asneeded.patch
- added python-libpst package

Revision 1.8  2009/03/21 17:27:28  megabajt
- updated to 0.6.34
- removed obsolete readpst-install.patch
- added -devel and -static subpackages, utilities moved to -tools subpackage

Revision 1.7  2008/07/27 23:05:13  arekm
- release 3

Revision 1.6  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.4  2006/12/08 14:51:50  glen
- merged from readpst.spec; rel 2

Revision 1.3  2006/02/21 07:33:42  zboczuch
- up to 0.5.1
- updated URL

Revision 1.2  2003/11/28 14:17:20  qboosh
- cleanup

Revision 1.1  2003/11/28 14:08:12  qboosh
- new
